ATMEL: Fs_management_entry Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# Fs_management_entry Struct Reference

Struture to save the frequently variables of file system mounted. More...

`#include <fat.h>`

## Data Fields

U8 | u8_open_mode
| open mode of selected file
U8 | u8_txt_format
| format of text used in selected file (only for reader_txt module)
U8 | u8_attr
| Attribut of the selected file.
U32 | u32_cluster
| First cluster of the selected file.
U32 | u32_size
| Size of selected file (unit Bytes).
U32 | u32_pos_in_file
| Current position in file (unit Bytes).

## Detailed Description

Struture to save the frequently variables of file system mounted.

Definition at line 300 of file fat.h.

## Field Documentation

U8 Fs_management_entry::u8_open_mode

open mode of selected file

Definition at line 302 of file fat.h.

Referenced by file_close(), file_flush(), file_getc(), file_open(), file_read(), and file_read_buf().

U8 Fs_management_entry::u8_txt_format

format of text used in selected file (only for reader_txt module)

Definition at line 303 of file fat.h.

U8 Fs_management_entry::u8_attr

Attribut of the selected file.

Definition at line 304 of file fat.h.

Referenced by fat_clear_entry_info_and_ptr(), fat_entry_is_dir(), fat_get_entry_info(), file_open(), nav_dir_name(), nav_file_attributget(), and nav_file_isreadonly().

U32 Fs_management_entry::u32_cluster

First cluster of the selected file.

Definition at line 305 of file fat.h.

Referenced by fat_clear_entry_info_and_ptr(), fat_get_entry_info(), fat_read_file(), nav_dir_cd(), nav_dir_gotoparent(), and nav_dir_name().

U32 Fs_management_entry::u32_size

Size of selected file (unit Bytes).

Definition at line 306 of file fat.h.

Referenced by fat_clear_entry_info_and_ptr(), fat_get_entry_info(), file_eof(), file_getc(), file_open(), file_read(), file_read_buf(), file_seek(), nav_dir_name(), nav_file_lgt(), and nav_file_lgtsector().

U32 Fs_management_entry::u32_pos_in_file

Current position in file (unit Bytes).

Definition at line 307 of file fat.h.

Referenced by fat_read_file(), file_bof(), file_eof(), file_getc(), file_getpos(), file_open(), file_read(), file_read_buf(), and file_seek().

The documentation for this struct was generated from the following file:

- fat.h